Page MenuHomePhabricator

Gather should explain to users why they're required to log in if they go to Special:Gather or Special:GatherLists
Closed, ResolvedPublic

Description

If you go to Special:Gather or Special:GatherLists when you're not logged in, you're presented with a login form. The form has no context to explain why it is showing. This is a missed opportunity.

Options:

  1. Show a page that explains you can only start making collections if you log in or sign up, with links to the login and sign up forms (I like this one best, myself)
  2. Put a message on the login form explaining why you have to log in to use Gather

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterAdd description of Gather for Special:UserLogin
mediawiki/extensions/MobileFrontend : masterAdd Special:Gather messages on Special:UserLogin/Special:CreateAccount
mediawiki/extensions/Gather : masterAdd gather-anon-view-lists to valid login-error messages

Event Timeline

Deskana created this task.Apr 3 2015, 5:04 AM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a project: Gather.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 5:04 AM
Deskana renamed this task from Gather should explain to users why they're required to log in if they go to Special:Gather to Gather should explain to users why they're required to log in if they go to Special:Gather or Special:GatherLists.Apr 3 2015, 5:05 AM
Deskana updated the task description. (Show Details)
Deskana set Security to None.
Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Apr 3 2015, 8:24 PM
Florian claimed this task.Apr 6 2015, 5:20 PM

Change 202062 had a related patch set uploaded (by Florianschmidtwelzow):
Add gather-anon-view-lists to valid login-error messages

https://gerrit.wikimedia.org/r/202062

Jdlrobson closed this task as Resolved.Apr 6 2015, 8:23 PM
Jdlrobson moved this task from In Analysis to Ready for signoff on the Gather Sprint Enwiki board.

Change 202062 merged by jenkins-bot:
Add gather-anon-view-lists to valid login-error messages

https://gerrit.wikimedia.org/r/202062

I don't see any messaging when I go to: http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Gather
while logged out.

JKatzWMF reopened this task as Open.Apr 9 2015, 7:58 PM

see ^ (maybe I'm missing something)

Arghhh, our own login page...

I'll take a look, sorry.

Change 203220 had a related patch set uploaded (by Florianschmidtwelzow):
Add description of Gather for Special:UserLogin

https://gerrit.wikimedia.org/r/203220

Change 203221 had a related patch set uploaded (by Florianschmidtwelzow):
Add Special:Gather messages on Special:UserLogin/Special:CreateAccount

https://gerrit.wikimedia.org/r/203221

Jdlrobson closed this task as Resolved.Apr 10 2015, 5:08 PM

Change 203221 merged by jenkins-bot:
Add Special:Gather messages on Special:UserLogin/Special:CreateAccount

https://gerrit.wikimedia.org/r/203221

Change 203220 merged by jenkins-bot:
Add description of Gather for Special:UserLogin

https://gerrit.wikimedia.org/r/203220

JKatzWMF moved this task from Product triage to In sprint on the Gather board.Apr 11 2015, 12:08 AM